Bug 228951 - EFI vt code for arm64
Summary: EFI vt code for arm64
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Emmanuel Vadot
URL: https://reviews.freebsd.org/D15294
Keywords:
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-06-12 15:47 UTC by Rodney W. Grimes
Modified: 2018-07-30 16:13 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney W. Grimes freebsd_committer 2018-06-12 15:47:05 UTC
EFI vt code for arm64
Comment 1 Emmanuel Vadot freebsd_committer 2018-06-12 17:57:34 UTC
My branch is here : https://github.com/evadot/freebsd/tree/arm64_efifb

pmap_mapdev review : https://reviews.freebsd.org/D15294

Tested on Pine64 and Pinebook

Marking the PR in progress since code exists (and works) and some reviews are opened.
Comment 2 Ed Maste freebsd_committer 2018-07-24 15:29:11 UTC
r335446 Add pmap_mapdev_attr for arm64
r336519 Raise the size of L3 table for early devmap on arm64
r336520 arm64: Add vt_efifb to GENERIC